import processing.serial.*;  //import the library for a serial communication (sketch-import library-serial)

Serial myPort;               //define name of the serial communication

PImage bg;                  //add the background image. Declare variable "bg" of type PImage

void setup() {              //we will set a resolution for the graphical window
  size(769,1080);            //set the image size 259 by 194 pixels
  bg=loadImage("redLED.jpeg"); //upload the image into the program
  //the image file must be in the data folder of the current sketch to load successfully
  
  myPort= new Serial(this, "/dev/cu.usbserial-AB0KOZ6G", 9600); // set the name of our communication port (Arduino COM port)
}

void draw() {              //draw function - here is graphical screen

  background(bg);            //set the background image

  if(mousePressed && (mouseButton == LEFT)){    //get the value of the mouse for the LED turn ON/OFF
    myPort.write('1');                            //if pressed the left button on the screen we will send to the serial port channel 1
  }

  if(mousePressed && (mouseButton == RIGHT)) {
    myPort.write('0');                          //the LED turn off
  }
}
